# Authentication

All the options in these list are optional. The default value for all of them is an empty `str`

| Type  | Default |
| ----- | ------- |
| `str` | `""`    |

<details>

<summary>Coomer</summary>

* `session`

Value of the `session` cookie from the website. This will allow CDL to download from your favoruites by using `https://coomer.st/favorites` as an input URL.

</details>

<details>

<summary>Kemono</summary>

* `session`

Value of the `session` cookie from the website. This will allow CDL to download from your favoruites by using `https://kemono.cr/favorites` as an input URL.

</details>

<details>

<summary>Forums</summary>

{% hint style="warning" %}
Logging to forums with `Authentication` was deprecated in v6.7.0

You need to use cookie files.

See: [How to extract cookies (DDoSGuard or login errors) #839](https://github.com/Cyberdrop-DL/cyberdrop-dl/discussions/839)
{% endhint %}

</details>

<details>

<summary>GoFile</summary>

If you decide to pay for GoFile Premium (faster downloads, etc.) you can provide your API key to Cyberdrop-DL in order for the program to use it.

* `api_key`

You can get your API key here: <https://gofile.io/myProfile>

</details>

<details>

<summary>JDownloader</summary>

Under JDownloader 2 settings -> MyJDownloader:

* `username`
* `password`
* `device`

</details>

<details>

<summary>PixelDrain</summary>

If you decide to pay for PixelDrain premium (faster downloads, etc.) you can provide your API key to Cyberdrop-DL in order for the program to use it.

* `api_key`

You can get your API key here: <https://pixeldrain.com/user/api_keys>

</details>

<details>

<summary>Real-Debrid</summary>

In order to download files from sites supported by real-debrid, you'll need to get the API token from your account.

* `api_key`

You can get your API key here (you must be logged in): <https://real-debrid.com/apitoken>

</details>

<details>

<summary>Mega.nz</summary>

If you have premium or want to download files/folders only shared with you, provide CDL these values:

* `email`
* `password`

{% hint style="warning" %}
Accounts with 2 factor authentication (2FA) are NOT supported
{% endhint %}

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://script-ware.gitbook.io/cyberdrop-dl/reference/configuration-options/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
